import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.JSONResponse;
import com.gic.haoban.manage.api.dto.SyncSingleDealDTO;
import com.gic.haoban.manage.api.service.DealSyncOperationApiService;
import com.gic.haoban.manage.api.service.DepartmentApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.wechat.api.dto.qywx.DepartmentDTO;
import com.gic.wechat.api.dto.qywx.QywxXcxSendMessageDTO;
import com.gic.wechat.api.dto.qywx.UserDTO;
import com.gic.wechat.api.service.qywx.QywxDepartmentApiService;
import com.gic.wechat.api.service.qywx.QywxSuiteApiService;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class DealSyncTest {

    @Autowired
    private DealSyncOperationApiService dealSyncOperationApiService;

    @Test
    public void test() {
        List<SyncSingleDealDTO> add = new ArrayList<>();
        List<SyncSingleDealDTO> edit = new ArrayList<>();

        {
            SyncSingleDealDTO dealDTO = new SyncSingleDealDTO();
            dealDTO.setDepartmentId("ff80808166c3a1050166c43175d9000e");
            dealDTO.setParentDepartmentId("a101b3a51cd549e79f3daec1aa628301");
            dealDTO.setDepartmentName("西溪花园");
            dealDTO.setRelatedId("ff80808166c3a1050166c43175d9000e");
            dealDTO.setStoreFlag(0);
            dealDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
            add.add(dealDTO);
        }

        {
            SyncSingleDealDTO dealDTO = new SyncSingleDealDTO();
            dealDTO.setDepartmentId("100333808083");
            dealDTO.setParentDepartmentId("a101b3a51cd549e79f3daec1aa628301");
            dealDTO.setDepartmentName("测试门店1003338");
            dealDTO.setRelatedId("100333808083");
            dealDTO.setStoreFlag(1);
            dealDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
            add.add(dealDTO);
        }
        dealSyncOperationApiService.dealDepartment("111", "ca66a01b79474c40b3e7c7f93daf1a3b", add, edit);
    }


}
