package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanSyncTask;

/**
 * Created 2020/4/10.
 *
 * @author hua
 */
public interface SyncTaskService {

    /**
     * 创建任务
     *
     * @param tabHaobanSyncTask
     */
    public void createTask(TabHaobanSyncTask tabHaobanSyncTask);

    /**
     * 更新任务状态
     *
     * @param taskId
     * @param status
     */
    public boolean updateTaskStatus(String taskId, int status);

    /**
     * 获取任务
     *
     * @param taskId
     * @return
     */
    public TabHaobanSyncTask getSyncTask(String taskId);
}
